using System;

class Program
{
    static void Main(string[] args)
    {
        int n, a;
        string[] linija = Console.ReadLine().Split(' ');
        n = int.Parse(linija[0]); a = int.Parse(linija[1]);
        // izlaz je -1 ili (3 4 ili 5 seta)
        if (n < 3 * a)
        {
            Console.WriteLine(-1);
            return;
        }
        // 30 10
        // 10 0
        // 10 0
        // 10 0


    }
}